> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/narrative-design.md).

# 叙事设计

叙事设计为 Convai 角色提供一个结构化的故事图谱——命名的章节、命名的触发器以及可将目标适配到实时游戏数据的模板键。你在 Convai 仪表板中编写该图谱；在运行时， `UConvaiChatbotComponent` (`Convai 聊天机器人`) 会调用触发器并接收来自 Convai 的章节变更。

**不熟悉叙事设计？** 从以下开始 [叙事设计如何工作](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/narrative-design/how-narrative-design-works.md) 以了解章节、触发器和模板键。然后按照 [叙事设计快速开始](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/narrative-design/narrative-design-quick-start.md) 在你于仪表板中配置好图谱的角色之后。使用 [叙事设计 | Playground](/api-docs/zh/convai-playground/character-customization/narrative-design.md) 在打开 Unreal Engine 之前创建章节和触发器。

### 开始

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>叙事设计如何工作</strong><br>了解章节、触发器、模板键，以及从触发器调用到章节事件的运行时流水线。</td><td><a href="/pages/7df13f2b93b6b95a4cdb5669073a1869b071babe">/pages/7df13f2b93b6b95a4cdb5669073a1869b071babe</a></td></tr><tr><td><strong>叙事设计快速开始</strong><br>从 Blueprint 中调用一个命名触发器，并通过打印新的章节 ID 来确认章节变更。</td><td><a href="/pages/fc5915683cbb3a9ae3782e4de53c3288e9e3b7cc">/pages/fc5915683cbb3a9ae3782e4de53c3288e9e3b7cc</a></td></tr></tbody></table>

### 构建与配置

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>叙事触发器</strong><br>使用 <code>调用叙事设计触发器</code> 用于命名图谱转换，以及 <code>调用语音</code> 用于动态上下文事件。</td><td><a href="/pages/ff19704aac20f7d6e4bf5c3214636ccbe4248151">/pages/ff19704aac20f7d6e4bf5c3214636ccbe4248151</a></td></tr><tr><td><strong>模板键</strong><br>填充 <code>叙事模板键</code> 映射，使章节目标引用实时游戏数值。</td><td><a href="/pages/453cd3ea71434b9c4a8a7da307779eeb39996f99">/pages/453cd3ea71434b9c4a8a7da307779eeb39996f99</a></td></tr><tr><td><strong>获取叙事数据</strong><br>在运行时使用以下方式查询角色的章节和触发器： <code>Convai 获取叙事章节</code> 是位于 <code>Convai 获取叙事触发器</code>.</td><td><a href="/pages/01a30a9c684189ac16deee8b6b420f60eb8252f8">/pages/01a30a9c684189ac16deee8b6b420f60eb8252f8</a></td></tr></tbody></table>

### 参考与支持

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>叙事设计 Blueprint 参考</strong><br>Blueprint 函数、事件、属性、异步获取节点和叙事结构体的参考文档。</td><td><a href="/pages/579f95b35d1b473357f37588e6fc915a03231497">/pages/579f95b35d1b473357f37588e6fc915a03231497</a></td></tr><tr><td><strong>叙事设计使用示例</strong><br>针对线性推进、动态上下文事件、模板键和触发器验证的 Blueprint 实例教程。</td><td><a href="/pages/78fce7020677f54bda05ede0262a6996390ed909">/pages/78fce7020677f54bda05ede0262a6996390ed909</a></td></tr><tr><td><strong>排查叙事设计问题</strong><br>修复未触发的章节事件、错误的转换、被忽略的模板键、获取失败以及会话就绪问题。</td><td><a href="/pages/609986e3902c22d2027f232e5ffaaa507011c8a0">/pages/609986e3902c22d2027f232e5ffaaa507011c8a0</a></td></tr></tbody></table>

### 下一步

{% content-ref url="/pages/fc5915683cbb3a9ae3782e4de53c3288e9e3b7cc" %}
[叙事设计快速入门](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/narrative-design/narrative-design-quick-start.md)
{% endcontent-ref %}

{% content-ref url="/pages/55f4d0a125ab988f4603436fa20ceb69b527078d" %}
[叙事设计 | Playground](/api-docs/zh/convai-playground/character-customization/narrative-design.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/narrative-design.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
